> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminal Details



## OpenAPI

````yaml openapi.json get /terminal/info
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /terminal/info:
    parameters: []
    get:
      tags:
        - Branches
        - Virtual Terminal
      summary: Terminal Details
      parameters:
        - name: terminalId
          in: query
          required: false
          example: 00319ac9-ab60-48be-9604-fc62004b0f55
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '367'
            ETag:
              schema:
                type: string
              example: W/"16f-p72j42FXt4TNvNK6G/LTeKhiJXM"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Fri, 27 Dec 2024 12:16:00 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Terminal Details - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      code:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      wallet:
                        type: object
                        properties:
                          id:
                            type: string
                          status:
                            type: string
                          bankName:
                            type: string
                          accountName:
                            type: string
                          accountNumber:
                            type: string
                            format: utc-millisec
                          bookedBalance:
                            type: integer
                          availableBalance:
                            type: integer
                      store:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          code:
                            type: string
                          email:
                            type: string
                            format: email
                          createdAt:
                            type: string
                            format: date-time
                      activeAgent:
                        nullable: true
              example:
                status: true
                message: Operation is successful
                data:
                  id: 28cc1855-2ff4-4a40-9df2-32aefb06eada
                  name: Lambe 01
                  code: Terminal 2
                  createdAt: '2024-12-27T15:20:45.828Z'
                  wallet:
                    id: 51d7b035-7317-4578-868e-d25eed1b5bf7
                    status: ACTIVE
                    bankName: Xpress Wallet
                    accountName: Neyosoft/Lambe 01
                    accountNumber: '4446474425'
                    bookedBalance: 3980
                    availableBalance: 3980
                  store:
                    id: 9ab67f41-10c9-4f52-adfc-31f460980966
                    name: Lambe Shop
                    code: Store 3
                    email: lambe@market.com
                    createdAt: '2024-12-27T14:36:09.463Z'
                  activeAgent: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````